메인 콘텐츠로 건너뛰기
POST
/
admin
/
shipping-methods
배송 방법 생성
curl --request POST \
  --url https://api.headlesscommerce.io/v1/admin/shipping-methods \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "price": 123,
  "description": "<string>",
  "free_shipping_threshold": 123,
  "metadata": {}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "price": {
    "amount": 123,
    "currency": "<string>"
  },
  "free_shipping_threshold": {
    "amount": 123,
    "currency": "<string>"
  },
  "is_active": true,
  "position": 123
}

인증

Authorization
string
header
필수

API Key. Example: sk_live_xxxxx or pk_live_xxxxx

본문

application/json
name
string
필수
price
integer
필수

Fixed shipping fee (smallest currency unit)

description
string
free_shipping_threshold
integer
metadata
object

응답

201 - application/json

생성됨

id
string
name
string
description
string
price
object
free_shipping_threshold
object
is_active
boolean
position
integer